Package wx :: Package lib :: Package mixins :: Module listctrl :: Class ListRowHighlighter

[frames | no frames]

## Class ListRowHighlighter

Editra Control Library: ListRowHighlighter Mixin class that handles automatic background highlighting of alternate rows in the a ListCtrl. The background of the rows are highlighted automatically as items are added or inserted in the control based on the mixins Mode and set Color. By default the Even rows will be highlighted with the systems highlight color.

Method Summary
| ``__init__`(self, color, mode)` Initialize the highlighter mixin @keyword color: Set a custom highlight color (default uses system color) @keyword mode: HIGHLIGHT_EVEN (default) or HIGHLIGHT_ODD
| ``RefreshRows`(self)` Re-color all the rows
| ``SetHighlightColor`(self, color)` Set the color used to highlight the rows.
| ``SetHighlightMode`(self, mode)` Set the highlighting mode to either HIGHLIGHT_EVEN or to HIGHLIGHT_ODD.

Method Details

### __init__(self, color=None, mode=2)
(Constructor)

Initialize the highlighter mixin @keyword color: Set a custom highlight color (default uses system color) @keyword mode: HIGHLIGHT_EVEN (default) or HIGHLIGHT_ODD

### RefreshRows(self)

Re-color all the rows

### SetHighlightColor(self, color)

Set the color used to highlight the rows. Call L{RefreshRows} after this if you wish to update all the rows highlight colors. @param color: wx.Color or None to set default

### SetHighlightMode(self, mode)

Set the highlighting mode to either HIGHLIGHT_EVEN or to HIGHLIGHT_ODD. Call L{RefreshRows} afterwards to update the list state. @param mode: HIGHLIGHT_* mode value

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:33 2009 | http://epydoc.sf.net